Bug 51633 - (NFS HP-UX)NFS mount from HP-UX does'nt show files
(NFS HP-UX)NFS mount from HP-UX does'nt show files
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-13 10:04 EDT by epstein
Modified: 2007-04-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: RH 7.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-12 05:28:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description epstein 2001-08-13 10:04:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
We have a PC under Red Hat Linux, version 7.1, kernel 2.4.2.

Users'files reside on a HP server under HP-UX 10.20.
They are nfs-mounted by the PC.

When we 'cd' to a user's directory with a large number of
entries, the following error messages appear on the console screen,
as well as in /var/log/messages:

NFS: short packet in readdir reply!
NFS: giant filename in readdir (len 0xeaeaeaea)! 

If we then do an 'ls', the result is either nothing 
(except the above messages) or a very incomplete listing. 
For example the command 'ls | wc' gives, for the same directory,

on the PC : 254     254    2561

on the HP server: 936 936 9964

On another directory 'ls' gives nothing.

This behavior varies in time.

None of these phenomena seemed to occur with the previous release, 
Red Hat 7.0, on the same machine.

How reproducible:
Always

Steps to Reproduce:
1. Mount large directory by NFS from HP-UX 10-20
2. ls that directory
3.
	

Actual Results:  Nothing or partial listing.  Files with known names can be
accessed,
even though not listed.
Error messages:
NFS: short packet in readdir reply!
NFS: giant filename in readdir (len 0xeaeaeaea)! 


Expected Results:  Complete listing of directory

Additional info:

Note You need to log in before you can comment on or make changes to this bug.